# Xapian::ValueRangeProcessor Struct Reference

Base class for value range processors. More...

`#include <queryparser.h>`

Inheritance diagram for Xapian::ValueRangeProcessor:

[legend]
List of all members.

## Public Member Functions

virtual | ~ValueRangeProcessor ()
| Destructor.
virtual Xapian::valueno | operator() (std::string &begin, std::string &end)=0
| See if <begin>.

## Detailed Description

Base class for value range processors.

## Constructor & Destructor Documentation

virtual Xapian::ValueRangeProcessor::~ValueRangeProcessor | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual Xapian::valueno Xapian::ValueRangeProcessor::operator() | ( | std::string & | begin,
|  | std::string & | end |
| ) |  |  | `[pure virtual]`

See if <begin>.

.<end> is a valid value range.

If this ValueRangeProcessor recognises <begin>..<end> it returns the value number of range filter on. Otherwise it returns Xapian::BAD_VALUENO.

Implemented in Xapian::StringValueRangeProcessor, Xapian::DateValueRangeProcessor, and Xapian::NumberValueRangeProcessor.

The documentation for this struct was generated from the following file:

- include/xapian/queryparser.h